%global momorel 7
%global		src_rel 1
%global		man_ver 2.1.0.0
%global		man_rel 1

Name:		qcad
Version:	2.0.5.0
Release:	%{momorel}m%{?dist}
Summary:	Simple 2D CAD program
Group:		Applications/Engineering
License:	GPL
Source0:	http://www.ribbonsoft.com/archives/%{name}/%{name}-%{version}-%{src_rel}-community.src.tar.gz
Source1:	http://www.ribbonsoft.com/archives/%{name}/%{name}-manual-en-%{man_ver}-%{man_rel}.html.zip
NoSource:	0
NoSource:	1
Patch0:		qcad-qass.patch
Patch1:		qcad-assistant.patch
Patch2:         qcad-64bit.patch
Patch3:         qcad-nopedantic.patch
Patch4: qcad-2.0.5.0-1-community.src-gcc43.patch
URL:		http://www.ribbonsoft.com/qcad.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	qt3-devel >= 3.3.7
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
Requires:	desktop-file-utils

%description
QCad is an application for computer aided drafting in two
dimensions. With QCad you can create technical drawings such as plans
for buildings, interiors or mechanical parts. QCad works under Linux,
Unix Systems, Mac OS X and Windows. The source code of QCad is
released under the GPL (Open Source).

%prep
%setup -q -n %{name}-%{version}-%{src_rel}-community.src
%setup -q -T -D -a 1 -n %{name}-%{version}-%{src_rel}-community.src
%patch0 -p1
%patch1 -p1 -b .assistanterror
%patch2 -p1 -b .64bit
%patch3 -p1 -b .nopedantic

%patch4 -p1 -b .gcc43~

%build
export QTDIR=%{_libdir}/qt3
(
   cd scripts
#   perl -pi -e "s|^export MAKE=.*|export MAKE=\'make CFLAGS=\"$RPM_OPT_FLAGS\" CXXFLAGS=\"$RPM_OPT_FLAGS\"\'|" build_qcad.sh
   ./build_qcad.sh
)
find -name '*.ts' -exec lrelease '{}' ';'
find -name '*.qm' -exec cp '{}' qcad/qm ';'

%install
rm -rf %{buildroot}

%define pkgdatadir %{_datadir}/qcad
mkdir -p %{buildroot}%{pkgdatadir}
mkdir -p %{buildroot}%{pkgdatadir}/library
mkdir -p %{buildroot}%{pkgdatadir}/doc

cp -fr qcad-manual-en-%{man_ver}-%{man_rel}.html/* %{buildroot}%{pkgdatadir}/doc

cd qcad
cp -fr fonts %{buildroot}%{pkgdatadir}
cp -fr patterns %{buildroot}%{pkgdatadir}
cp -fr qm %{buildroot}%{pkgdatadir}

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -f src/xpm/qcad.xpm %{buildroot}%{_datadir}/pixmaps

mkdir -p %{buildroot}%{_bindir}
cp -f qcad %{buildroot}%{_bindir}

cat > qcad.desktop <<EOF
[Desktop Entry]
Name=QCad
GenericName=2D CAD drawing
Comment=A simple 2D CAD program
Exec=qcad
Icon=qcad.xpm
Terminal=false
Type=Application
MimeType=image/vnd.dxf
Encoding=UTF-8
X-Desktop-File-Install-Version=0.4
StartupNotify=true
StartupWMClass=qcad
EOF

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor=                           \
        --add-category Application                       \
        --add-category Graphics                          \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications 	 \
        qcad.desktop

%clean
rm -rf %{buildroot}

%post
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%postun
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc qcad/README qcad/data
%{_bindir}/*
%{_datadir}/qcad
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.5.0-7m)
- rebuild against rpm-4.6

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.5.0-6m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.5.0-5m)
- rebuild against gcc43

* Mon Feb 11 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.5.0-4m)
- update gcc43 patch

* Mon Feb 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.5.0-3m)
- no %%NoSource
- specify QTDIR

* Fri Jan 25 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.5.0-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Tue Aug 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.5.0-1m)
- import from Fedora devel

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.0.5.0-5
- Rebuild for FE6

* Fri Feb 17 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.0.5.0-4
- Rebuild for Fedora Extras 5

* Thu Nov 24 2005 Gerard Milmeister <gemi@bluewin.ch> - 2.0.5.0-3
- generate and include qm files

* Wed Nov 23 2005 Gerard Milmeister <gemi@bluewin.ch> - 2.0.5.0
- New Version 2.0.5.0

* Wed May 25 2005 Jeremy Katz <katzj@redhat.com> - 2.0.4.0-5.fc4
- fix build on 64bit arches (#158650)

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.0.4.0-4.fc4
- rebuild on all arches

* Tue Apr  5 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.4.0-3.fc4
- Add missing line in qcad-assistant.patch which prevents orphans.

* Mon Feb 14 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.0.4.0-2
- Remove /usr/bin/assistant (-> qt-devel) dependency, replace with
  patches to open a warning dialog in case of Qt Assistant error
  conditions. Add a related patch for the English manual which
  removes references to two missing images.

* Sat Feb 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 2.0.4.0-1
- Added documentation
- Fixed code for calling Qt Assistant: qcad-qass.patch

* Mon Nov 15 2004 Gerard Milmeister <gemi@bluewin.ch> - 2.0.4.0-0.fdr.2
- Added mime type to desktop file

* Fri Oct  1 2004 Gerard Milmeister <gemi@bluewin.ch> - 2.0.4.0-0.fdr.1
- New Version 2.0.4.0

* Sat Jun  5 2004 Gerard Milmeister <gemi@bluewin.ch> - 2.0.3.3-0.fdr.1
- New Version 2.0.3.3

* Sun Apr 25 2004 Gerard Milmeister <gemi@bluewin.ch> - 2.0.3.1-0.fdr.2
- Set QTDIR from qt.sh

* Sun Apr 11 2004 Gerard Milmeister <gemi@bluewin.ch> - 2.0.3.1-0.fdr.1
- New Version 2.0.3.1

* Sat Feb 28 2004 Gerard Milmeister <gemi@bluewin.ch> - 2.0.2.0-0.fdr.1
- New Version 2.0.2.0

* Fri Dec 12 2003 Gerard Milmeister <gemi@bluewin.ch> - 2.0.1.3-0.fdr.1
- New Version 2.0.1.3

* Wed Nov 26 2003 Gerard Milmeister <gemi@bluewin.ch> - 2.0.1.2-1.fdr.2
- Respect RPM_OPT_FLAGS

* Wed Nov 26 2003 Gerard Milmeister <gemi@bluewin.ch> - 2.0.1.2-0.fdr.1
- New Version 2.0.1.2

* Tue Oct 21 2003 Gerard Milmeister <gemi@bluewin.ch> - 2.0.1.1-1.fdr.1
- First Fedora release
